<?php $page_title="Manage Live Event";
    include("includes/header.php");
    require("includes/lb_helper.php");
    require("language/language.php");
    
    $tableName="tbl_live_event";   
    $targetpage = "manage_event.php"; 
    $limit = 12; 
    $keyword='';

    if(!isset($_GET['keyword'])){
        $query = "SELECT COUNT(*) as num FROM $tableName";
    } else {
        
        $keyword=addslashes(trim($_GET['keyword']));
        $query = "SELECT COUNT(*) as num FROM $tableName WHERE `event_title` LIKE '%$keyword%'";
        $targetpage = "manage_event.php?keyword=".$_GET['keyword'];
    }
    
    $total_pages = mysqli_fetch_array(mysqli_query($mysqli,$query));
    $total_pages = $total_pages['num'];
    
    $stages = 3;
    $page=0;
    if(isset($_GET['page'])){
        $page = mysqli_real_escape_string($mysqli,$_GET['page']);
    }
    if($page){
        $start = ($page - 1) * $limit; 
    } else {
        $start = 0; 
    } 
    
    if(!isset($_GET['keyword'])){
        $sql_query="SELECT * FROM tbl_live_event ORDER BY tbl_live_event.`id` DESC LIMIT $start, $limit"; 
    } else {
        $sql_query="SELECT * FROM tbl_live_event WHERE `event_title` LIKE '%$keyword%' ORDER BY tbl_live_event.`id` DESC LIMIT $start, $limit"; 
    }
    $result=mysqli_query($mysqli,$sql_query) or die(mysqli_error($mysqli));
    
?>

<style>
    @media (min-width: 300px){
        .col-sm-3 {
            flex: 0 0 auto;
            width: 25%;
        }
    }
    
</style>
<!-- Start: main -->
<main id="nsofts_main">
    <div class="nsofts-container">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb align-items-center">
                <li class="breadcrumb-item d-inline-flex"><a href="dashboard.php"><i class="ri-home-4-fill"></i></a></li>
                <li class="breadcrumb-item d-inline-flex active" aria-current="page"><?php echo (isset($page_title)) ? $page_title : "" ?></li>
            </ol>
        </nav>
            
        <div class="card h-100">
            <div class="card-header d-md-inline-flex align-items-center justify-content-between py-3 px-4">
                <a href="<?php echo (isset($_SERVER['HTTP_REFERER'])) ? $_SERVER['HTTP_REFERER'] : "dashboard.php" ?>" class="d-inline-flex align-items-center text-decoration-none fw-semibold nsofts-link">
                    <i class="ri-arrow-left-line text-danger fw-bold"></i>
                    <span class="ps-2 lh-1"><?=$page_title ?></span>
                </a>
                <span class="ps-2 lh-1">Total Event (<?=$total_pages ?>)</span>
                <div class="d-flex mt-2 mt-md-0">
                    <form method="get" id="searchForm" action="" class="me-2">
                        <div class="input-group">
                            <input type="text" id="search_input" class="form-control" placeholder="Search here..." name="keyword" value="<?php if(isset($_GET['keyword'])){ echo $_GET['keyword'];} ?>" required="required">
                            <button class="btn btn-outline-default d-inline-flex align-items-center" type="search">
                                <i class="ri-search-2-line"></i>
                            </button>
                        </div>
                    </form>
                    <a href="create_event.php?add=yes" class="btn btn-primary d-inline-flex align-items-center justify-content-center">
                        <i class="ri-add-line"></i>
                        <span class="ps-1 text-nowrap d-none d-sm-block">Create Event</span>
                    </a>
                </div>
            </div>
            
            <div class="card-body p-4">
                <?php if(mysqli_num_rows($result) > 0){ ?>
                    <div class="row g-4 mb-3">
                        <?php $i=0; while($row=mysqli_fetch_array($result)) { ?>
                            <div class="col-lg-3 col-sm-6">
                                <div class="nsofts-card-light p-3">
                                    <h5 class="mb-2 d-flex justify-content-center"><?php echo $row['event_title'];?></h5>
                                    <div class="d-flex justify-content-between">
                                        <?php if(file_exists('images/'.$row['team_one_thumbnail'])) {?>
                                          <img class="rounded-circle col-sm-3 border border-3" src="images/<?php echo $row['team_one_thumbnail'];?>" alt="Avatar" />
                                        <?php }else{?>
                                          <img class="rounded-circle col-sm-3 border border-3"  src="assets/images/300x300.jpg" alt="Avatar" />
                                        <?php } ?>
                                        <h5 class="d-flex justify-content-center align-items-center pt-2 font-weight-bold ">VS</h5>
                                        <?php if(file_exists('images/'.$row['team_two_thumbnail'])) {?>
                                          <img class="rounded-circle col-sm-3 border border-3" src="images/<?php echo $row['team_two_thumbnail'];?>" alt="Avatar" />
                                        <?php }else{?>
                                          <img class="rounded-circle col-sm-3 border border-3"  src="assets/images/300x300.jpg" alt="Avatar" />
                                        <?php } ?>
                                    </div>
                                    <div class="mb-2 d-flex justify-content-between mt-1">
                                        <p class="p-0 m-1 text-secondary text-truncate text-left" style="max-width: 80px;"><?php echo $row['team_title_one'];?></p>
                                        <p class="p-0 m-1 text-secondary text-truncate text-right" style="max-width: 80px;"><?php echo $row['team_title_two'];?></p>
                                    </div>
                                
                                    <div class="d-flex justify-content-between">
                                        <div class="d-flex">
                                           <a href="create_event.php?event_id=<?php echo $row['id'];?>" class="btn btn-outline-primary rounded-pill me-2 btn-icon" data-bs-toggle="tooltip" data-bs-placement="top" title="Edit">
                                                <i class="ri-pencil-line"></i>
                                            </a>
                                            <a href="javascript:void(0)" class="btn btn-outline-danger rounded-pill me-2 btn-icon btn_delete" data-id="<?php echo $row['id'];?>" data-table="<?=$tableName ?>" data-bs-toggle="tooltip" data-bs-placement="top" title="Delete">
                                                <i class="ri-delete-bin-line"></i>
                                            </a> 
                                        </div>
                                        
                                        <div class="nsofts-switch d-flex align-items-center enable_disable" data-bs-toggle="tooltip" data-bs-placement="top" title="Enable / Disable">
                                            <input type="checkbox" id="enable_disable_check_<?= $i ?>" data-id="<?= $row['id'] ?>" data-table="<?=$tableName ?>" data-column="status" class="cbx hidden btn_enable_disable" <?php if ($row['status'] == 1) { echo 'checked'; } ?>>
                                            <label for="enable_disable_check_<?= $i ?>" class="nsofts-switch__label"></label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php $i++; } ?>
                    </div>
                    <?php include("pagination.php"); ?>
                <?php } else { ?>
                
                    <ul class="p-5">
                        <h1 class="text-center">No data found</h1>
                    </ul>
                    
                <?php } ?>
                </nav>
            </div>
            
        </div>
        
        
    </div>
</main>
<!-- End: main -->
    
<?php include("includes/footer.php");?> 